org.eclipse.jgit.api

## Enum MergeCommand.FastForwardMode

- java.lang.Object
- - java.lang.Enum<MergeCommand.FastForwardMode>
  - - org.eclipse.jgit.api.MergeCommand.FastForwardMode

All Implemented Interfaces:
  Serializable, Comparable<MergeCommand.FastForwardMode>, Config.ConfigEnum

Enclosing class:
  MergeCommand

    public static enum MergeCommand.FastForwardMode
    extends Enum<MergeCommand.FastForwardMode>
    implements Config.ConfigEnum

The modes available for fast forward merges corresponding to the `--ff`, `--no-ff` and `--ff-only` options under `branch.<name>.mergeoptions`.

### Nested Class Summary

Nested Classes
`static class` `MergeCommand.FastForwardMode.Merge` The modes available for fast forward merges corresponding to the options under `merge.ff`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FF` Corresponds to the default --ff option (for a fast forward update the branch pointer only).
`FF_ONLY` Corresponds to the --ff-only option (abort unless the merge is a fast forward).
`NO_FF` Corresponds to the --no-ff option (create a merge commit even for a fast forward).

### Method Summary

Methods
`boolean` `matchConfigValue(String in)` Checks if the given string matches with enum value.
`String` `toConfigValue()` Converts enumeration value into a string to be save in config.
`static MergeCommand.FastForwardMode` `valueOf(MergeCommand.FastForwardMode.Merge ffMode)` Map from `FastForwardMode.Merge` to `FastForwardMode`.
`static MergeCommand.FastForwardMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MergeCommand.FastForwardMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FF

    public static final MergeCommand.FastForwardMode FF

Corresponds to the default --ff option (for a fast forward update the branch pointer only).

#### NO_FF

    public static final MergeCommand.FastForwardMode NO_FF

Corresponds to the --no-ff option (create a merge commit even for a fast forward).

#### FF_ONLY

    public static final MergeCommand.FastForwardMode FF_ONLY

Corresponds to the --ff-only option (abort unless the merge is a fast forward).

### Method Detail

#### values

    public static MergeCommand.FastForwardMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MergeCommand.FastForwardMode c : MergeCommand.FastForwardMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MergeCommand.FastForwardMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toConfigValue

    public String toConfigValue()

Description copied from interface: `Config.ConfigEnum`
Converts enumeration value into a string to be save in config.

Specified by:
  `toConfigValue` in interface `Config.ConfigEnum`
Returns:
  the enum value as config string

#### matchConfigValue

    public boolean matchConfigValue(String in)

Description copied from interface: `Config.ConfigEnum`
Checks if the given string matches with enum value.

Specified by:
  `matchConfigValue` in interface `Config.ConfigEnum`
Parameters:
  `in` - the string to match
Returns:
  true if the given string matches enum value, false otherwise

#### valueOf

    public static MergeCommand.FastForwardMode valueOf(MergeCommand.FastForwardMode.Merge ffMode)

Map from `FastForwardMode.Merge` to `FastForwardMode`.

Parameters:
  `ffMode` - the `FastForwardMode.Merge` value to be mapped
Returns:
  the mapped code>FastForwardMode value